<bugID>522035<Summary>Investigate alternate behaviors for Aero Peek</Summary><Description>I can't switch to some Firefox windows from the new aero peek taskbar menu. It gives you a list of recent tabs to choose from, in some order I haven't figured out (maybe most-recently-used?). If you only have a few tabs, I guess this is ok, but I typically have 20+ tabs grouped into multiple windows, e.g.

* a window for e10s stuff
* a window for general stuff and mail
* a window for reviews
* a window for my current coding task

The new context menu works really poorly for me now: I just want to switch to my reviews window, which now doesn't even appear on the list because I haven't used it recently. I'd like to request that there be an entry for each of the currently open windows, and then also, if there's room remaining, entries for specific tabs within the windows. That way switching to a window is at least possible.</Description></bugID>